/***************************************************************************
 *            configuration.h
 *
 *  Fri Aug 26 19:23:51 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __CONFIGURATION_H__
#define __CONFIGURATION_H__

#include <wx/spinctrl.h>
#include "project.h"

class ConfigurationDialog : public wxDialog {
public:
	ConfigurationDialog(bool);
	void OnOK(wxCommandEvent& event);
	void OnCancel(wxCommandEvent& event);
	void OnPathsChange(wxCommandEvent & event);
	void OnInputPathBrowse(wxCommandEvent& event);
	void OnOutputPathBrowse(wxCommandEvent& event);

	void OnFGColorClick(wxCommandEvent& event);
	void OnBGColorClick(wxCommandEvent& event);
	void OnBGImageClick(wxCommandEvent& event);
	void OnMultiPageClick(wxCommandEvent& event);
	void OnSliderChange(wxScrollEvent& event);
	void OnFontChange(wxCommandEvent& event);

private:
	wxTextCtrl *TitleBox, *InputPath, *OutputPath;
	wxButton *button_OK;
	wxSpinCtrl *PicSZ, *ThumbSZ;
	wxComboBox *ThumbFormat, *FileInfo, *galleryType;
	wxStaticText *jpeg1;
	wxSlider *JpegQualitySlider;
	wxButton *bgcolorButton, *fgcolorButton;
	wxCheckBox *bgImageCB;
	wxTextCtrl *bgImageText;
	wxSpinCtrl *PicsPerRow, *PicsPerGallery;
	wxCheckBox *chkBox;
	wxComboBox *Rollover;
	wxComboBox *font;
	wxCheckBox *exif_stats;

	DECLARE_EVENT_TABLE()
};

extern ProjectInfo ProjInfo;

#endif // __CONFIGURATION_H__
