/***************************************************************************
 *            defaults.h
 *
 *  Wed Aug 24 12:04:36 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __DEFAULTS_H__
#define __DEFAULTS_H__
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

// Cope with the version
// NOTE: THIS MUST BE UPDATED... at least for win32...
#ifndef VERSION
#	define VERSION "0.2.1"
#endif

// the default size of thumbnails (pixels on the larger side of the picture)
#define DEFAULT_THUMB_SIZE 160

// the default size of pictures (pixels on the larger side of the picture)
#define DEFAULT_PIC_SIZE 1280

// this controls whether newly created projects will have frames around the
// thumbnails
#define DEFAULT_HAS_FRAME true

#define DEFAULT_TITLE ""
#define DEFAULT_INPUT_PATH  ""
#define DEFAULT_OUTPUT_PATH ""
#define DEFAULT_BACKGROUND_IMAGE ""

#define DEFAULT_ROLLOVER_STATE NONE

#define DEFAULT_JPEG_QUALITY 85

#define FORM_BRDR 4

#define BTN_X_SIZE 220
#define BTN_X_BEGIN 20

#define PREVIEW_FRAME 10

#define DEFAULT_BACKGROUND_COLOR 0xffffff
#define DEFAULT_TEXT_COLOR 0x000000
#define DEFAULT_IMAGES_PER_GALLERY 0
#define DEFAULT_IMAGES_PER_ROW 4

#define DEFAULT_BUTTON_XSIZE 80
#define DEFAULT_BUTTON_YSIZE 30

#define DEFAULT_INFO_PER_IMG 1

#define PREFERENCES_SAVE_FILE "agg.cfg"

#define DEFAULT_FONT_CHOICE "Trebuchet MS, Century Gothic, Verdana, Tahoma, Times New Roman"

#define DEFAULT_EXIF_STATS true

#if defined _WIN32  || defined __APPLE__
#define WINDOWSVADD 30
#else
#define WINDOWSVADD 0
#endif

#endif // __DEFAULTS_H__
