/***************************************************************************
 *            noteswnd.h
 *
 *  Sat Oct 01 22:59:51 2005
 *  Copyright  2005  Veselin Georgiev
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __NOTESWND_H__
#define __NOTESWND_H__

#include <wx/wx.h>
#include "bitmap.h"

class NotesDialog: public wxDialog {
public:
	NotesDialog(RawImg*, int);
private:
	void OnDefaultsClick(wxCommandEvent & event);
	void OnOKClick(wxCommandEvent & event);
	void PushValue(wxCommandEvent & event);
	void CheckFN(wxCommandEvent & event);
	void OnResChanged(wxCommandEvent & event);
	wxArrayString GetResolutionChoices(RawImg *img);
	wxString GetTextFor(int);

	RawImg *img;
	wxButton *button_OK, *button_Defaults;
	wxTextCtrl *fn_ctrl;
	wxComboBox *resolution;
	int defres;
	static int resolutions[16];
	static int res_count;
	DECLARE_EVENT_TABLE()
};

enum {
	Notes_Default,
	Notes_Text1,
	ComboBox_Res
};

#endif // __NOTESWND_H__
