/***************************************************************************
 *            preferences.h
 *
 *  Sat Oct 01 22:19:10 2005
 *  Copyright  2005  Veselin Georgiev
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __PREFERENCES_H__
#define __PREFERENCES_H__

#include "defaults.h"

class Preferences {
public:
	// if true, all CPUs on the system will be used.
	bool smp;	

	// if true, the meaning of the left and right button upon click on the
	// preview will be swapped
	bool swap_lr; 

	// if true, SSE code in the resizer will be disabled
	bool no_sse;

	// if true, input files will be sorted by their EXIF date
	bool sort_exif;

	// if true, exif metadata will be copied to output files
	bool preserve_exif;

	// storage for custom selected fonts
	char custom_fonts[4][1024];
	int custom_font_idx;

	// Last used dirs are saved here
	char last_input_dir[512];
	char last_output_dir[512];

	Preferences();
	~Preferences();
	void defaults(void);
	void load(void);
	void save(void);
};

extern Preferences preferences;

#endif // __PREFERENCES_H__
