/***************************************************************************
 *            exif.h
 *
 *  Wed Apr 11 15:53:05 2007
 *  Copyright  2007  Veselin Georgiev
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __PREFSDLG_H__
#define __PREFSDLG_H__
#include <wx/wx.h>

class PrefsDialog: public wxDialog {
public:
	PrefsDialog(wxWindow *parent);
private:
	wxCheckBox 
		*cb_smp, 
		*cb_mouse_buttons, 
		*cb_sse, 
		*cb_sort_exif,
		*cb_preserve_exif;
	
	void OnOKClick(wxCommandEvent & event);
	void OnCancelClick(wxCommandEvent & event);
	void OnDefaultsClick(wxCommandEvent & event);
	void ImportPrefs(void);
	void ExportPrefs(void);

	DECLARE_EVENT_TABLE()
};

enum {
	PREF_OK,
	PREF_Cancel,
	PREF_Defaults,
};

#endif // __PREFSDLG_H__
