/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#include "bitmap.h"
 
void ArrayResize_x87(Rgb *src, int src_len, Rgb *dest, int dest_len)
{
	for (int i = 0; i < src_len; i++) {
		float x = (float) i / (src_len-1) * (dest_len-1);
		int xx = (int) x;
		float mul1 = 1.0f - (x-xx);
		dest[xx].a += mul1;
		dest[xx].b += mul1 * src[i].b;
		dest[xx].g += mul1 * src[i].g;
		dest[xx].r += mul1 * src[i].r;
		if (xx + 1 < dest_len) {
			mul1 = 1.0f - mul1;
			dest[xx + 1].a += mul1;
			dest[xx + 1].b += mul1 * src[i].b;
			dest[xx + 1].g += mul1 * src[i].g;
			dest[xx + 1].r += mul1 * src[i].r;
		}
	}
	for (int i = 0; i < dest_len; i++) {
		float mul = 1.0f / dest[i].a;
		dest[i].b *= mul;
		dest[i].g *= mul;
		dest[i].r *= mul;
		dest[i].a = 0.0f;
	}
}


void ArrayResize(Rgb *src, int src_len, Rgb *dest, int dest_len)
{
	if (src_len == dest_len) {
		memcpy(dest, src, src_len * sizeof(Rgb));
		return;
	}
	for (int i = 0; i < dest_len+1; i++) {
		dest[i].a = dest[i].r = dest[i].g = dest[i].b = 0.0f;
	}
	ArrayResize_x87(src, src_len, dest, dest_len);
}
