/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "main.h"
#include "bmphandlingdialog.h"
#include "defaults.h"

BEGIN_EVENT_TABLE(BmpHandlingDialog, wxDialog)
	EVT_BUTTON(BMPH_Ignore, BmpHandlingDialog:: OnIgnoreClick)
	EVT_BUTTON(BMPH_ToJPEG, BmpHandlingDialog:: OnToJPEGClick)
	EVT_BUTTON(BMPH_ToBMP, BmpHandlingDialog:: OnToBMPClick)
END_EVENT_TABLE()

BmpHandlingDialog:: BmpHandlingDialog(BmpHandlingType* r)
	: wxDialog(globMainFrame, 
		wxID_ANY, 
		"Question",
		wxDefaultPosition,
		wxSize(370, 125 + WINDOWSVADD)
		)
{
	button_Ignore = new wxButton(this, BMPH_Ignore, wxT("&Ignore"), 
		wxPoint(20, 80), wxSize(100, 30));
	button_ToJPEG = new wxButton(this, BMPH_ToJPEG, wxT("To &JPEGs"),
		wxPoint(130, 80), wxSize(100, 30));
	button_ToBMP = new wxButton(this, BMPH_ToBMP, wxT("Leave &BMPs"),
		wxPoint(240, 80), wxSize(100, 30));
	wxStaticText *st = new wxStaticText(this, -1, 
		wxT("Some .BMP files were found in this\ndirectory, what would you like to do?"),
		wxPoint(20, 15));
	st->Refresh();
	res = r;
	*res = BMP_HANDLING_UNDEFINED; 
}

void BmpHandlingDialog:: OnIgnoreClick(wxCommandEvent & event)
{
	*res = BMP_HANDLING_IGNORE;
	EndModal(0);
}

void BmpHandlingDialog:: OnToJPEGClick(wxCommandEvent & event)
{
	*res = BMP_HANDLING_TO_JPG;
	EndModal(0);
}

void BmpHandlingDialog:: OnToBMPClick(wxCommandEvent & event)
{
	*res = BMP_HANDLING_TO_BMP;
	EndModal(0);
}
