/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "exifinfodlg.h"
#include "defaults.h"


ExifInfoDlg::ExifInfoDlg(wxWindow * parent, RawImg * img)
: wxDialog(parent, wxID_ANY, wxT("Exif info"), wxDefaultPosition, 
           wxSize(200, 200+WINDOWSVADD))
{
	FullExifData info;
	bool res = img->GetFullExifInfo(info);
	if (!res || info.count() == 0) {
		wxStaticText *t1 = new wxStaticText(this, -1, wxT("No Exif data found!"),
			wxPoint(10, 10));
		t1->Refresh();
		wxButton *o = new wxButton(this, wxID_OK);
		o->SetSize(50, 150, 100, 40);
	} else {
		SetSize(-1, -1, 300, 500 + WINDOWSVADD);
		wxButton *o = new wxButton(this, wxID_OK);
		o->SetSize(110, 440, 80, 40);
		wxListCtrl *list = new wxListCtrl(
			this, wxID_ANY, wxPoint(10, 10), wxSize(280, 420), 
			wxLC_REPORT | wxLC_HRULES | wxLC_VRULES
		);
		list->Hide();
		list->InsertColumn(0, wxT("Tag"), wxLIST_FORMAT_LEFT, 100);
		list->InsertColumn(1, wxT("Value"), wxLIST_FORMAT_LEFT, 180);
		for (int i = 0; i < info.count(); i++) {
			wxString stag = info.get_tag_name(i);
			wxString svalue = info.get_tag_value(i);
			long tmp = list->InsertItem(i, stag);
			list->SetItem(tmp, 1, svalue);
			wxFont font = list->GetItemFont(tmp);
			int size = font.GetPointSize();
			if (size == 0)
				size = 9;
			font.SetPointSize(size-1);
			list->SetItemFont(tmp, font);
		}
		list->Show();
	}
	
}
