#ifndef __ABSTRACT_SPHERE_H__
#define __ABSTRACT_SPHERE_H__

#include "vector3.h"
#include "pointset.h"
#include "complex.h"

// the abstract class
class AbstractSphere {
protected:
	Vector center;
	double radius;
public:
	virtual bool construct(Point points[]) = 0;
	virtual bool is_inside(const Point&) = 0;
};

class Circle : public AbstractSphere {
public:
	virtual bool construct(Point points[]);
	virtual bool is_inside(const Point&);
	void print(void) const;
};

class Sphere : public AbstractSphere {
public:
	virtual bool construct(Point points[]);
	virtual bool is_inside(const Point&);
};


#endif 
