#ifndef __CHAIN_H__
#define __CHAIN_H__

#include <vector>
#include <iostream>
#include "simplex.h"
#include "complex.h"
#include "pointset.h"

class Chain {
	std::vector<double> coeff;
	std::vector<Simplex> data;
	int dim;
public:
	Chain();
	Chain(Simplex);
	Chain(const Complex&, int);
	int size(void) const;
	//arith
	friend Chain operator + (const Chain&, const Chain&);
	friend Chain operator - (const Chain&, const Chain&);
	void operator *= (double);
	//
	Complex to_complex(void);
	//
	friend std::istream& operator >> (std::istream&, Chain&);
	friend std::ostream& operator << (std::ostream&, Chain&);
};

Chain accumulate(Chain start_val, std::vector<Chain>, Chain (*fun)(const Chain&, const Chain&));
void map(std::vector<Chain>, void (*fun) (Chain&));
std::vector<Chain> filter(std::vector<Chain>, bool (*fun) (const Chain&));

#endif
