#ifndef __COMPLEX_H__
#define __COMPLEX_H__

#include <vector>
#include <iostream>
#include "pointset.h"
#include "simplex.h"

typedef std::vector<Simplex> ComplexData;

class Complex {
	ComplexData data;
public:
	bool add(const Simplex&);
	bool contains(const Simplex&);
	int size(void) const;
	const Simplex& operator [] (int index) const;
	Simplex& operator [] (int index);
	friend std::istream& operator >> (std::istream&, Complex&);
	friend std::ostream& operator << (std::ostream&, Complex&);
};

#endif
