#include <iostream>
#include "pointset.h"
#include "simplex.h"
#include "complex.h"
#include "chain.h"
#include "geometry.h"
#include "abstract_sphere.h"
using namespace std;

/// Test PointSet functionality
int main_ps(void)
{	
	PointSet ps;
	cin >> ps;
	cout << endl << ps << endl;
	cout << endl;
	Point p;
	for (int i = 0; i < ps.size(); i++)
	{
		p = ps[i];
		for (int j = 0; j < MAXDIM; j++)
			cout << p[j] << ' ';
		cout<<endl;
	}
	double coord[3] = {1.23, 5.2123, 3.98};
	Point p2(coord, 3);
	ps.add(p2);
	cout << endl << ps << endl;
	Point *p3;
	for (int i = 0; i < ps.size(); i++)
	{
		p3 = &ps[i];
		for (int j = 0; j < MAXDIM; j++)
			p[j] = i + j + 0.23;
	}
	cout << endl << ps << endl;
	return 0;
}

/// Test Complex functionality
int main_complex(void)
{
	freopen("tests\\complex.in", "rt", stdin);
	Complex c;
	cin >> c;
	cout << endl << c << endl;
	return 0;
}

/// Test Geometry functionality
int main_geometry(void)
{
	freopen("tests/geometry.in", "rt", stdin);
	Geometry g;
	cin >> g;

	cout << g.begin_jvx();
	cout << g;
	cout << g.end_jvx();

	return 0;
}

/// Test Delone Triangulation
int main_delone(void)
{
	freopen("tests/delone.in", "rt", stdin);
	freopen("tests/delone.jvx", "wt", stdout);
	PointSet *ps = new PointSet;
	cin >> (*ps);
	Geometry geometry;
	geometry.delaunay_triangulation(ps, ps->dim);
	cout << endl;
	cout << geometry.begin_jvx();
	cout << geometry;
	cout << geometry.end_jvx();
	return 0;
}

int main(void)
{
	return main_delone();
}
