#ifndef __POINTSET_H__
#define __POINTSET_H__

#include <iostream>
#include <vector>
using namespace std;

#define MAXDIM 3

class Point {
	double a[MAXDIM];
public:
	Point();
	Point(double a[], int);
	const double& operator [] (int index) const;
	double& operator [] (int index);
};

class PointSet {
	std::vector<Point> data;
public:
	static int dim;
	void add(const Point&);
	int size();
	const Point& operator [] (int index) const;
	Point& operator [] (int index);
//
	friend std::istream& operator >> (istream &, PointSet &);
	friend std::ostream& operator << (ostream &, PointSet &);
};


#endif
