#ifndef __SIMPLEX_H__
#define __SIMPLEX_H__

#include <iostream>
#include <istream>
#include <ostream>
#include "pointset.h"
using namespace std;


#define MAXVERTS 4

class Simplex {
	int verts[MAXVERTS];
	int k;
	int _iter;
	bool _allsubsimp;
public:
	Simplex ();
	Simplex (int kk, int a, int b=-1, int c=-1, int d=-1);

	/// @param all_sub_simplices - 
	///                        true - All simplices with dim < k
	///                        false- All simplices with dim == k-1
	void iter_start(bool all_sub_simplices = false);
	bool iter(Simplex&);
	bool is_side(const Simplex &);
	bool is_sub_simplex(const Simplex &x);
	int get_dim() const;
	bool operator == (const Simplex &) const;
	friend std::istream& operator >> (istream &, Simplex&);
	friend std::ostream& operator << (ostream &, Simplex&);
	int orientation(void) const;
	void norm(void);
	bool is_adjacent(const Simplex &);
};


#endif
